Subject: Re: [PATCH 3/3] grep: stop looking at random places for .gitattributes

From: Johannes Sixt <[email-masked]>
Date: Wed, 10 Oct 2012 14:12:54 +0200

Am 10/10/2012 14:03, schrieb Nguyen Thai Ngoc Duy:
> On Wed, Oct 10, 2012 at 6:51 PM, Johannes Sixt <[email-masked]> wrote:
>> Thanks for working on this issue!
>>
>> Am 10/10/2012 13:34, schrieb Nguyễn Thái Ngọc Duy:
>>> +     linkgit:gitattributes[5]). Note that .gitattributes are only
>>> +     support for searching files in working directory.
>>
>> Does this mean it does not work for 'git grep --cached'? That would be a
>> real loss.
> 
> I missed this case. I don't think it works correctly before as it
> reads worktree's .gitattributes instead of the index version. But at
> least we support reading .gitattributes from index. Patches coming
> soon.

Is there already an established definition which the "correct"
.gitattributes are? IIRC, everywhere else we are looking at the
.gitattributes in the worktree, regardless of whether the object at the
path in question is in the worktree, the index, or in an old commit.

-- Hannes